using System;
using System.Runtime.InteropServices;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;


public class MainClass
{
  public static void Main ()
  {
    OleDbConnection myConnection = new OleDbConnection(
      "Provider=Microsoft.Jet.OLEDB.4.0; " +
      "Data Source=..\\Bsp_5\\Provider.mdb");

    OleDbDataAdapter adapter = new OleDbDataAdapter(
      "SELECT * FROM Abomodell", myConnection);

    DataSet ds = new DataSet();
    try
    {
      // Verbindung zur Datenquelle aufbauen,
      // DataSet laden und Verbindung wieder abbrechen
      adapter.Fill(ds, "Abomodell");

	string modell = ds.Tables["Abomodell"].Rows[2]["Name"].ToString();
	Console.WriteLine("AboModell vor nderung: {0}", modell);

	if (modell == "all inclusive")
		modell = "Pauschale";
	else
		modell = "all inclusive";

      // Daten ndern
	ds.Tables["Abomodell"].Rows[2]["Name"] = modell;
	Console.WriteLine("AboModell nach nderung: {0}", modell);

	// SQL UPDATE command erzeugen und anzeigen.
	adapter.UpdateCommand = new OleDbCommand
	  ("UPDATE Abomodell SET Name = @Name " +
	   "WHERE AboId = @AboId", myConnection);

	adapter.UpdateCommand.Parameters.Add
	  ("@Name", OleDbType.VarChar, 20, "Name");
	adapter.UpdateCommand.Parameters.Add
	  ("@AboId", OleDbType.BigInt, 0, "AboId");

	// Console.WriteLine(adapter.UpdateCommand.CommandText);

      // nderung in Provider.mdb schreiben
      adapter.Update(ds, "Abomodell");
    }

    catch (Exception e)
    {
      MessageBox.Show( e.Message,
                       "Exception aufgetreten",
                       MessageBoxButtons.OK,
                       MessageBoxIcon.Exclamation );
    }

    System.Console.ReadLine();
  }
}
